<?php
define('PROTECTOR', 1);

$headmod = 'online';//фикс. места

$textl='Игроки онлайн';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
///////////////
$taim = 150;
$date = time();
$timeout = $date - $taim;
////////////////

if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 20;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*20)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr, lvl FROM online WHERE laikas > '$timeou'"));
$puslap = floor($viso/20);



$asd = mysql_query("SELECT laikas, usr, lvl FROM online WHERE laikas > '$timeou' ORDER BY lvl DESC LIMIT $num,20");
echo "<b>Игроки:</b><br/>";





While($visi = mysql_fetch_array($asd))
{
$onl = mysql_fetch_array(mysql_query("SELECT font,lvl FROM users WHERE usr = '$visi[usr]' LIMIT 1"));
$reqs = mysql_query("SELECT `place` FROM `mesto` WHERE `usr` = '$visi[usr]' LIMIT 1") or error();
$mesto = mysql_fetch_array($reqs);
if($mesto[place] == 'chat'){$gde = 'В чате';}
if($mesto[place] == 'anketa'){$gde = 'В анкете';}
if($mesto[place] == 'olimp'){$gde = 'Смотрит турнир';}
if($mesto[place] == 'pers'){$gde = 'В Персонаже';}
if($mesto[place] == 'set'){$gde = 'В настройках';}
if($mesto[place] == 'otchet'){$gde = 'Смотрит отчеты';}
if($mesto[place] == 'msg'){$gde = 'Читает почту';}
if($mesto[place] == 'zona'){$gde = 'Смотрит заключенных';}
if($mesto[place] == 'online'){$gde = 'Смотрит кто в сети';}
if($mesto[place] == 'bank'){$gde = 'В банке';}
if($mesto[place] == 'npc'){$gde = 'Разговаривает с NPC';}
if($mesto[place] == 'shop'){$gde = 'В магазине';}
if($mesto[place] == 'bazar'){$gde = 'На базаре';}
if($mesto[place] == 'clanroom'){$gde = 'В комнате клана';}
if($mesto[place] == 'search'){$gde = 'Ищет игрока';}
if($mesto[place] == 'inventar'){$gde = 'В инвентаре';}
if($mesto[place] == 'okrestnosti'){$gde = 'В окрестностях';}
if($mesto[place] == 'arena'){$gde = 'На арене';}
if($mesto[place] == 'battle'){$gde = 'В бою';}
if($mesto[place] == 'pk'){$gde = 'В засаде';}
echo $i.'. ';echo idlog($idlog=$visi[usr]).' - <b>'.$gde.'</b><br/>';
$i++;
}

if ($_GET[page] > 0)
{
echo "<a href=\"online.php?page=$back\"> < Назад</a> ";
}
elseif ($_GET[page] == 0)
{
echo "";
}
echo"";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo " <a href=\"online.php?page=$next\">Далее ></a>";}
else
{echo "";}





include($path.'files/down.php'); ?>